<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>ECSMS - Manage</title>
    <link rel="shortcut icon" href="#">
    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN" crossorigin="anonymous">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>       
    <link rel="stylesheet" href="style.css">     
  </head>
  <body> 
      
 <div class="container pb-5">
      
<!-- The navbar -->
<div id="include_navbar"></div>
    
<div class="card shadow-lg bg-white rounded">
    <div class="card-body">
<div class="row">
    <div class="col-sm-6">
        <div class="form-group">
            <label>Select an employee:</label>
            <select class="form-control" id="employee_list" onchange="get_employee_selected_value();">
            <option value="none" selected disabled hidden> 
            Select an employee 
          </option>                 
            </select>
        </div>
    </div>
    <div class="col-sm-6">
        <div class="form-group">
            <label>Select a card id:</label>
            <select class="form-control" name="card_list" id="card_list" onchange="get_card_selected_value();">
            <option value="none" selected disabled hidden> 
            Select a card 
            </option>                 
            </select>
        </div>
    </div>
    </div>  
</div>
</div>    

<div class="card shadow-lg bg-white rounded">
   <div class="card-header">Employee Details</div>
   <div class="card-body">
    <div class="form-group">
        <label class="font-weight-bold">Employee First Name: </label>
            <p name="first_name" id="first_name"></p>
        </div>                                
   <div class="form-group">
        <label class="font-weight-bold">Employee Start Date: </label> 
        <p name="employment_start_date" id="employment_start_date"></p>
    </div>                       
   <div class="form-group">
        <label class="font-weight-bold">Employee Position: </label> 
        <p name="position" id="position"></p>
    </div>                           
   <div class="form-group">
        <label class="font-weight-bold">Employee Email: </label> 
        <p name="email" id="email"></p>
    </div>                          
   <div class="form-group">
        <label class="font-weight-bold">Employee Work Phone: </label> 
         <p name="work_phone" id="work_phone"></p>
    </div>                        
   <div class="form-group">
        <label class="font-weight-bold">Employee Status: </label> 
        <p name="employment_status" id="employment_status"></p>
    </div>                            
</div>
</div>

<div class="card shadow-lg bg-white rounded">
    <div class="card-header">Merchant Group</div>
    <div class="card-body">
<div class="row">
    <div class="col-sm-6">
        <div class="form-group">
            <select class="form-control" name="merchant_list" id="merchant_list"">
            <option value="none" selected disabled hidden> 
            Select a merchant group
            </option>                 
            </select>
        </div>
    </div>
    </div>    
<div class="alert alert-info mt-3" role="alert" id="alert_changes_applied_merchant">
  Changes to merchant group applied!
</div>        
        <div class="pl-1 pt-1">
        <button class="btn btn-dark" type="button" id="submit_changes_merch" onclick="update_fs_merchant_values();" >Submit Changes</button>   
        </div>                     
 </div>
  </div>  

<div class="card shadow-lg bg-white rounded">
    <div class="card-header">Country Group</div>
    <div class="card-body">
<div class="row">
    <div class="col-sm-6">
        <div class="form-group">
            <select class="form-control" name="country_list" id="country_list"">
            <option value="none" selected disabled hidden> 
            Select a country group
            </option>                 
            </select>
        </div>
    </div>
    </div>    
<div class="alert alert-info mt-3" role="alert" id="alert_changes_applied_country">
  Changes to country group applied!
</div>        
        <div class="pl-1 pt-1">
        <button class="btn btn-dark" type="button" id="submit_changes_country" onclick="update_fs_country_values();" >Submit Changes</button>   
        </div>                     
 </div>
  </div> 

<div class="card shadow-lg bg-white rounded">
    <div class="card-header">Current Card Amounts</div>
    <div class="card-body">
<div class="row">
    <div class="col-sm-6">
        <label for="taskname_l">Monthly Balance Cents Amount</label>
           <input type="number" class="form-control" id="monthly_balance_cents_amount" name="monthly_balance_cents_amount">
    </div>
    <div class="col-sm-6">
        <label for="taskname_l">Daily Balance Cents Amount</label>
           <input type="number" class="form-control" id="daily_balance_cents_amount" name="daily_balance_cents_amount">
    </div>
    </div>                     
 </div>
  </div>  

 <div class="card shadow-lg bg-white rounded">
    <div class="card-header">Card Limit Amounts</div>
    <div class="card-body">
        <div class="form-group">
<div class="row">
    <div class="col-sm-6">
        <label for="taskname_l">Monthly Limit Cents Amount</label>
           <input type="number" class="form-control" id="monthly_limit_cents_amount" name="monthly_limit_cents_amount">
    </div>
    <div class="col-sm-6">
        <label for="taskname_l">Daily Limit Cents Amount</label>
           <input type="number" class="form-control" id="daily_limit_cents_amount" name="daily_limit_cents_amount">
    </div>
     </div>
     </div>
<div class="alert alert-info mt-3" role="alert" id="alert_changes_applied">
  Changes to limits applied!
</div>       
        <div class="pl-1 pt-1">
        <button class="btn btn-dark" type="button" id="submit_changes_limits" onclick="update_fs_limit_values();" >Submit Changes</button>   
        </div>
    </div>                              
 </div>

 <!-- <div>
<iframe width="600" height="450" frameborder="0" style="border:0" allowfullscreen
src="https://datastudio.google.com/embed/reporting/cc072812-b4b1-463e-b227-a7a0a7765ed5/page/z0eqB">
</iframe>    
</div> -->

 </div>

    <!-- JS -->

    <script src="/__/firebase/8.1.1/firebase-app.js"></script>   
    <!-- include only the Firebase features as you need -->
    <script src="/__/firebase/8.1.1/firebase-auth.js"></script>
    <script src="/__/firebase/8.1.1/firebase-firestore.js"></script>

    <!-- Initialize Firebase -->
    <script src="/__/firebase/init.js"></script> 

    <!-- Other -->
    <script src="main.js"></script>

    <script>
        $("#include_navbar").load("/navbar.html", function() {   
        $(".nav-item a").removeClass("active");
        $(".nav-item a.index_link").addClass("active");
        });    
    </script>

    <script>
    disable_elements()
    fs_populate_employee_list('employee_list')
    fs_populate_merch_list()
    fs_populate_country_list()
    </script>   

  </body>
</html>
